% Elevation Angle of the Sun at Noon
%
% This script determines the elevation angle of the sun
% on a particular day of the year via the simple model we developed
% in class. The function datetoday() takes the date that the user inputs
% in the 9th line of the script and converts it into a day of the year
% from 0 to 365 and then returns that number to this program as "thisday".
% This script then calculates the elevation angle using a simple periodic 
% model and then prints it out. Much more we could do here but it shows 
% you how it works. Look at the script in datetoday() to understand how
% functions are written.
%
%
adate='03/21/1998';                                                        % Puts a dummy date in the variable
printf('This simple program calculates the elevation angle at noon on\n'); % Tells the user what to expect
printf('a given date of the year. Be sure the month has two digits.\n');
x=input('n');                                                              % Freemat has a bug - this fixes
adate=input('Enter date in mm/dd/yyyy format:','s');                       % Solicits the date in needed format
mylatitude=44;                                                             % Latitude hardwired but it could be input
[thisday,thisyear]=datetoday(adate);                                       % call function datetoday
elevation = mylatitude - 23.44*cos(((2*pi)/365)*(thisday+9));              % Calculates elevation 23.44 is tilt of axis
%                                                                            periodic function starts on Dec 21
printf('The elevation angle at noon is %f degrees\n',elevation);           % print out result
                                                                           % 